### Method

# ICalGLib Duration as_ical_string

since: 1.0

#### Declaration [src]

    gchar*
    i_cal_duration_as_ical_string (
      ICalDuration* duration
    )

#### Description [src]

Converts the `ICalDuration` to the representation in string.

Available since: 1.0

#### Return value

Type: `gchar*`

The duration in string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.